# SessionZero
*A simple cross-platform, open source TTRPG game management application*

## About
SessionZero aims to be a FOSS (Free and Open Source Software), easy to use TTRPG VTT application with a low barrier to enrty, simple user interface, and a minimal learning curve. All aspects of character and game session creation/management are user defined and do not rely on any particular TTRPG system, allowing for full customization of gameplay without a huge learning curve beyond having knowledge on the TTRPG you may already know!

## Features
**See [Requirements and Specifications](Requirements%20and%20Specifications.md)**

## Alpha Release Roadmap

### Backend

#### Users
- [X] Registration and Authentication
- [ ] User Profiles
    - [ ] Friends
    - [ ] Status
    - [ ] Profile picture
- [ ] User storage for Characters, Sessions, Datasets

#### Characters
- [ ] Character sheets
    - [ ] Custom character sheet support

#### Sessions
- [ ] P2P Infastructure
- [ ] Sessions
    - [ ] Party management
    - [ ] Custom character sheets
    - [ ] Datasets
    - [ ] User privleges

#### Datasets
- [ ] Item datasets
- [ ] NPC Datasets
- [ ] Weapons/Spells/Custom datasets

### Client

#### Users
- [X] Registration and Authentication screen
- [ ] User Profile screen
    - [ ] Profile picture
    - [ ] Status
    - [ ] Friends list
        - [ ] Friend management
        - [ ] Status indication

#### Characters
- [ ] Character screen
    - [ ] Character sheets
        - [ ] Custom character sheet creator
        - [ ] Templates
        - [ ] Import/Export

#### Sessions
- [ ] P2P Infastructure
- [ ] Sessions Manager Screen
    - [ ] Game Master
        - [ ] Party management
            - [ ] Add/Remove players
            - [ ] View Player Characters
                - [ ] Add items from datasets to sheet/inventory
        - [ ] User privleges
        - [ ] Custom character sheet
        - [ ] Datasets
            - [ ] Import/Export
        - [ ] Manage Chat
        - [ ] Private GM notes
    - [ ] Player
        - [ ] Character management
            - [ ] Creation
            - [ ] Import (Requires the same character sheet template that the session uses)
        - [ ] Chat
        - [ ] Session notes

- [ ] In-game session
    - [ ] Game Master
        - [ ] Manage Chat
        - [ ] Turn order tracking
        - [ ] Player status effect tracking
    - [ ] Player
        - [ ] Chat


#### Datasets
- [ ] Datasets screen
    - [ ] Management and Creation
    - [ ] Item Datasets
    - [ ] NPC Datasets
    - [ ] Weapons/Spells/Custom Datasets
