using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;

namespace SessionZeroBackend.Controllers;

[ApiController]
[Route("api/[controller]")]
public class DatabaseController : ControllerBase
{
    private readonly ApplicationDbContext _context;
    private readonly IConfiguration _configuration;
    
    public DatabaseController(ApplicationDbContext context, IConfiguration configuration)
    {
        _context = context;
        _configuration = configuration;
    }

    [HttpGet("validate-server")]
    public IActionResult ValidateServer()
    {
        return Ok(new { Message = true });
    }

    [HttpGet("get-server-name")]
    public IActionResult GetServerName()
    {
        return Ok(new { Message = _configuration["ServerInfo:ServerName"] });
    }
}