using System.ComponentModel.DataAnnotations;
using SessionZeroBackend.Validation;

namespace SessionZeroBackend.Models;

public class RegisterModel
{
    
    [Required(ErrorMessage = "Username is required.")]
    [StringLength(50, MinimumLength = 3, ErrorMessage = "Username must be between 3 and 50 characters.")]
    public string? Username { get; set; }

    [Required(ErrorMessage = "Email is required.")]
    [EmailAddress(ErrorMessage = "Invalid email address.")]
    public string? Email { get; set; }

    [Required(ErrorMessage = "Password is required.")]
    // [StringLength(100, MinimumLength = 6, ErrorMessage = "Password must be at least 6 characters.")]
    [PasswordComplexity(ErrorMessage = "Password does not meet complexity requirements, must contain at least one uppercase letter, one lowercase letter, one digit, and one special character.")]
    public string? Password { get; set; }
}