using System.Text.Json;
using System.Text.Json.Serialization;

namespace SessionZeroClient.Data;

public static class DatasetSerializationHelper
{
    public static string Serialize(Dataset dataset)
    {
        string json = JsonSerializer.Serialize(dataset, new JsonSerializerOptions
        {
            WriteIndented = true,
            Converters =
            {
                new JsonStringEnumConverter(JsonNamingPolicy.CamelCase)
            }
        });
        
        return json;
    }
    
    public static Dataset Deserialize(string json)
    {
        Dataset dataset = JsonSerializer.Deserialize<Dataset>(json, new JsonSerializerOptions
        {
            Converters =
            {
                new JsonStringEnumConverter(JsonNamingPolicy.CamelCase)
            }
        })!;
        
        return dataset;
    }
}