using Godot;
using System;
using System.Text.Json;
using System.Text.Json.Serialization;
using SessionZeroClient.API;
using SessionZeroClient.Data;
using SessionZeroClient.Resources;

namespace SessionZeroClient;

public partial class Main : Node
{
    [Export] public CanvasLayer MainCanvasLayer { get; set; }
    
    [ExportCategory("App State Manager Settings")]
    [Export] public AppStateManagerSettings AppStateManagerSettings { get; set; }
    
    public AppStateManager AppStateManager; 
    
    public override void _Ready()
    {
        AppStateManager = new AppStateManager( AppStateManagerSettings,this);
        
        AppStateManager.ShowAccountScreen();
        AppStateManager.MainScreenLogic.ChangeLeftContent(AppStateManager.NavigationControlLogic);
        
    }
}
